summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
authorPaul Eggert <eggert@cs.ucla.edu>2005-04-18 06:35:06 +0000
committerPaul Eggert <eggert@cs.ucla.edu>2005-04-18 06:35:06 +0000
commit2cb82c08c6677204b79bbc95325fd83267a3117d (patch)
treeb948af38b1a720addc2017161a91e88cf06cd9a4 /tests/install
parentd5cca2b3b2e2dee8f538d83d5f61b1707c47170d (diff)
downloadcoreutils-2cb82c08c6677204b79bbc95325fd83267a3117d.tar.xz
Skip this test if ../../src/dd isn't readable.
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-15
1 files changed, 5 insertions, 0 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 66df30415..c3e16b40b 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -8,6 +8,11 @@ fi
dir=dir
file=file
+test -r ../../src/dd || {
+ echo >&2 "$0: ../../src/dd is not readable, so can't run this test"
+ exit 77
+}
+
pwd=`pwd`
tmp=inst-basic.$$
trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0